#pragma once

#include <vector>

using int8 = char;
using uint8 = unsigned char;
using int16 = short;
using uint16 = unsigned short;
using int32 = int;
using uint32 = unsigned int;
using int64 = long long;
using uint64 = unsigned long long;


struct AudioFrame {
    std::vector<uint8> data_;
    uint64 dts_{ 0 };
};


class IAudioRender {
public:
    static IAudioRender* Create();

public:
    virtual ~IAudioRender() = default;
    virtual uint64 GetClock() = 0;
    virtual bool Write(const AudioFrame& audioFrame) = 0;

};
